controllers/EtapaController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Etapa;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * EtapaController implements the CRUD actions for Etapa model.
 */
class EtapaController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Etapa models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Etapa::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Etapa model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Etapa model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Etapa();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->numetapa]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Etapa model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->numetapa]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Etapa model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Etapa model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Etapa the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Etapa::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/LlevaController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Lleva;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * LlevaController implements the CRUD actions for Lleva model.
 */
class LlevaController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Lleva models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Lleva::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Lleva model.
     * @param integer $numetapa
     * @param string $código
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($numetapa, $código)
    {
        return $this->render('view', [
            'model' => $this->findModel($numetapa, $código),
        ]);
    }

    /**
     * Creates a new Lleva model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Lleva();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'numetapa' => $model->numetapa, 'código' => $model->código]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Lleva model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $numetapa
     * @param string $código
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($numetapa, $código)
    {
        $model = $this->findModel($numetapa, $código);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'numetapa' => $model->numetapa, 'código' => $model->código]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Lleva model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $numetapa
     * @param string $código
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($numetapa, $código)
    {
        $this->findModel($numetapa, $código)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Lleva model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $numetapa
     * @param string $código
     * @return Lleva the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($numetapa, $código)
    {
        if (($model = Lleva::findOne(['numetapa' => $numetapa, 'código' => $código])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\Ciclista;
use app\models\Lleva;
use app\models\Puerto;
use app\models\Etapa;
use yii\data\ActiveDataProvider;
use yii\data\SqlDataProvider;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
    public function  actionCrud(){
        return $this->render("gestion");
    }
    public function actionConsulta1() {
      // mediante DAO
                    
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT count(*) nciclistas FROM ciclista',
            
             ]);
        return $this->render("resultado", [
            "resultados"=>$dataProvider,
            "campos"=>['nciclistas'], 
            "enunciado"=>"Numero de ciclistas que hay",
             "titulo"=>"Consulta 1",
            "sql"=>"Select distinct from ciclista",
        ]);
        
        
    }
    
    
    
    public function  actionConsulta1a(){
        // mediante active record
        $dataProvider = new ActiveDataProvider([
        'query' => Ciclista::find()->distinct()->select("count(*) as nciclistas"),
                ]);
        return $this->render("resultado", [
            "resultados"=>$dataProvider,
            "campos"=>['nciclistas'], 
            "enunciado"=>"Numero de ciclistas que hay",
             "titulo"=>"Consulta 1",
            "sql"=>"SELECT COUNT(*) AS nciclistas FROM ciclista;",
        ]);
    }
    public function  actionConsulta2(){
        // mediante DAO
      $numero=Yii::$app->
              db->
              createCommand("SELECT count(*) nciclista FROM ciclista WHERE nomequipo = 'Banesto'")
              ->queryScalar();
              
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT count(*) nciclista FROM ciclista WHERE nomequipo = "Banesto"',
            ]);
        return $this->render("resultado", [
            "resultados"=>$dataProvider,
            "campos"=>['nciclista'], 
            "enunciado"=>"Numero de ciclistas del equipo Banesto",
             "titulo"=>"Consulta 2",
            "sql"=>"SELECT count(*) FROM ciclista WHERE nomequipo = 'Banesto'",
        ]);
    }
    public function  actionConsulta2a(){
        // mediante active record
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()
                ->select("count(*) as nciclistas")
                ->where("nomequipo = 'Banesto'"),
            ]);
        return $this->render("resultado", [
            "resultados"=>$dataProvider,
            "campos"=>['nciclistas'], 
            "enunciado"=>"Numero de ciclistas del equipo Banesto",
             "titulo"=>"Consulta 2",
            "sql"=>"SELECT count(*) FROM ciclista WHERE nomequipo = 'Banesto'';",
        ]);
    }
    
    public function  actionConsulta3(){
        // mediante DAO
      $numero=Yii::$app->
              db->
              createCommand("SELECT avg(edad) edadpromedio FROM ciclista")
              ->queryScalar();
              
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT avg(edad) edadpromedio FROM ciclista',
            ]);
        return $this->render("resultado", [
            "resultados"=>$dataProvider,
            "campos"=>['edadpromedio'], 
            "enunciado"=>"Edad media de los ciclistas",
             "titulo"=>"Consulta 3",
            "sql"=>"SELECT avg(edad) edadpromedio FROM ciclista",
        ]);
    }
    public function  actionConsulta3a(){
        // mediante active record
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()
                ->select("avg(edad) as edadpromedio"),
            'pagination'=>[
                'pageSize'=>0,
            ]
                ]);
        return $this->render("resultado", [
            "resultados"=>$dataProvider,
            "campos"=>['edadpromedio'], 
            "enunciado"=>"Edad media de los ciclistas",
             "titulo"=>"Consulta 3",
            "sql"=>"SELECT avg(edad) edadpromedio FROM ciclista;",
        ]);
    }        
    public function  actionConsulta4(){
        // mediante DAO
      $numero=Yii::$app->
              db->
              createCommand("SELECT avg(edad) edadpromedio FROM ciclista WHERE nomequipo = 'Banesto'")
              ->queryScalar();
              
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT avg(edad) edadpromedio FROM ciclista WHERE nomequipo = "Banesto"',
            ]);
        return $this->render("resultado", [
            "resultados"=>$dataProvider,
            "campos"=>['edadpromedio'], 
            "enunciado"=>"Edad media de los ciclistas de Banesto",
             "titulo"=>"Consulta 4",
            "sql"=>"SELECT avg(edad) edadpromedio FROM ciclista WHERE nomequipo = 'Banesto'",
        ]);
    }
    public function  actionConsulta4a(){
        // mediante active record
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()
                ->select("avg(edad) as edadpromedio")
                ->where("nomequipo = 'Banesto'"),
            ]);
        return $this->render("resultado", [
            "resultados"=>$dataProvider,
            "campos"=>['edadpromedio'], 
            "enunciado"=>"Edad media de los ciclistas de Banesto",
             "titulo"=>"Consulta 4",
            "sql"=>"SELECT avg(edad) edadpromedio FROM ciclista WHERE nomequipo = 'Banesto'",
        ]);
    }    
    public function  actionConsulta5(){
        // mediante DAO
      $numero=Yii::$app->
              db->
              createCommand("SELECT nomequipo, avg(edad) edadpromedio FROM ciclista GROUP BY nomequipo")
              ->queryScalar();
        
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nomequipo, avg(edad) edadpromedio FROM ciclista GROUP BY nomequipo',
            ]);
        return $this->render("resultado", [
            "resultados"=>$dataProvider,
            "campos"=>['nomequipo', 'edadpromedio'], 
            "enunciado"=>"Edad media de los ciclistas por equipo",
             "titulo"=>"Consulta 5",
            "sql"=>"SELECT nomequipo, avg(edad) edadpromedio FROM ciclista GROUP BY nomequipo",
        ]);
    }
    public function  actionConsulta5a(){
        // mediante active record
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()
                ->select("nomequipo, avg(edad) as edadpromedio")
               ->groupBy("nomequipo"),
            ]);
        return $this->render("resultado", [
            "resultados"=>$dataProvider,
            "campos"=>['nomequipo', 'edadpromedio'], 
            "enunciado"=>"Edad media de los ciclistas por equipo",
             "titulo"=>"Consulta 5a",
            "sql"=>"SELECT nomequipo, avg(edad) edadpromedio FROM ciclista GROUP BY nomequipo",
        ]);
    }    
    public function  actionConsulta6(){
        // mediante DAO
      $numero=Yii::$app->
              db->
              createCommand("SELECT nomequipo, count(*) total FROM ciclista GROUP BY nomequipo")
              ->queryScalar();
        
      $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT nomequipo, count(*) total FROM ciclista GROUP BY nomequipo',
            ]);
        return $this->render("resultado", [
            "resultados"=>$dataProvider,
            "campos"=>['nomequipo', 'total'], 
            "enunciado"=>"Ciclistas por equipo",
             "titulo"=>"Consulta 6",
            "sql"=>"SELECT nomequipo, count(*) total FROM ciclista GROUP BY nomequipo",
        ]);
    
    }

    public function  actionConsulta6a(){
        // mediante active record
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()
                ->select("nomequipo, count(*) as total")
               ->groupBy("nomequipo"),
            ]);
        return $this->render("resultado", [
            "resultados"=>$dataProvider,
            "campos"=>['nomequipo', 'total'], 
            "enunciado"=>"Total de ciclistas por equipo",
             "titulo"=>"Consulta 6a",
            "sql"=>"SELECT nomequipo, count(*) total FROM ciclista GROUP BY nomequipo",
        ]);
    }
    public function  actionConsulta7(){
        // mediante DAO
      $numero=Yii::$app->
              db->
              createCommand("SELECT count(*) total FROM puerto")
              ->queryScalar();
        
      $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT count(*) total FROM puerto',
            ]);
        return $this->render("resultado", [
            "resultados"=>$dataProvider,
            "campos"=>['total'], 
            "enunciado"=>"Total de puerto",
             "titulo"=>"Consulta 7",

views/site/_listar.php
<div>
<h2><?= $model["dorsal"] ?> </h2>
</div>

<div>
<?= $model["código"] ?> 
<?= $model["total"] ?> 
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/gestion.php
<?php
use yii\helpers\Html;

echo Html::a('Ciclistas', ['ciclista/index'], ['class' => 'btn btn-primary btn-large']); /**/

echo '                         ';
echo Html::a('Equipo', ['equipo/index'], ['class' => 'btn btn-primary btn-large']); /**/

echo '                         ';
echo Html::a('Etapa', ['etapa/index'], ['class' => 'btn btn-primary btn-large']); /**/

echo '                         ';
echo Html::a('Puerto', ['puerto/index'], ['class' => 'btn btn-primary btn-large']); /**/

echo '                         ';
echo Html::a('Maillot', ['maillot/index'], ['class' => 'btn btn-primary btn-large']); /**/

echo '                         ';
echo Html::a('Lleva', ['lleva/index'], ['class' => 'btn btn-primary btn-large']); /**/

?>

views/site/index.php
<?php
use yii\helpers\Html;
/* @var $this yii\web\View */

$this->title = 'My Yii Application';
?>
<div class="site-index">

    <div class="jumbotron">
        <h1>Consultas de selección 3!</h1>
        <p class="lead">Modulo 3 Unidad 2</p>
    </div>

    <div class="body-content">
         <div class="row">
             <!--
             Boton de consulta
             -->
             
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 1</h3>
                    <p>Edad de los ciclistas de banesto
                    
                    </p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta1a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta1'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
            <!--
             Boton de consulta dos
             -->
             
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 2</h3>
                    <p>Edad de los ciclistas de banesto o navigare</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta2a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta2'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
             
             <!--
             Boton de consulta tres
             -->
             
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 3</h3>
                    <p>Dorsal de los ciclistas de banesto y edad entre 25 y 32</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta3a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta3'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
         </div>   
        <div class="row">
             <!--
             Boton de consulta
             -->
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 4</h3>
                    <p>Dorsal de los ciclistas de banesto o edad entre 25 y 32</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta4a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta4'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
            
               <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 5</h3>
                    <p>Ciclistas cuyo nombre comience con R</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta5a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta5'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
             <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 6</h3>
                    <p>Codigo de las etapas que su salida y llegada sean en la misma poblacion</p>
                    <?= Html::a('Active record', ['site/consulta6a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta6'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
         </div> 
        <div class="row">
             <!--
             Boton de consulta
             -->
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 7</h3>
                    <p>Codigo de las etapas que su salida y llegada no sean de la misma poblacion y que s econozca el dorsal del ciclista que ha ganadado la etapa</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta7a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta7'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
            
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 8</h3>
                    <p>Nombre de los puertos cuya altura este entre 1000 y 2000 o que la altura sea mayor que 2400</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta8a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta8'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
             <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 9</h3>
                    <p>Nombre de los equipos que tengan mas de cuatro ciclistas</p>
                    <?= Html::a('Active record', ['site/consulta9a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta9'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
         </div> 
        <div class="row">
             <!--
             Boton de consulta
             -->
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 10</h3>
                    <p>Nombre de los equipos que tengan mas de cuatro ciclistas cuya edad es entre 28 y 32</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta10a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta10'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 11</h3>
                    <p>Indicar el numero de estapas que ha ganado cada ciclista</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta11a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta11'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 12</h3>
                    <p>Indicar el dorsal de los clclistas que han ganado mas de una etapa</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta12a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta12'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
        </div> 
        <div class="row">
             <!--
             Boton de consulta
             -->
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 13</h3>
                    <p>Nombre de los equipos que tengan mas de cuatro ciclistas cuya edad es entre 28 y 32</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta13a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta13'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 14</h3>
                    <p>Indicar el numero de estapas que ha ganado cada ciclista</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta14a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta14'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 15</h3>
                    <p>Indicar el dorsal de los clclistas que han ganado mas de una etapa</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta15a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta15'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
        </div>
        <div class="row">
             <!--
             Boton de consulta
             -->
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 16</h3>
                    <p>Nombre de los equipos que tengan mas de cuatro ciclistas cuya edad es entre 28 y 32</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta16a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta16'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 17</h3>
                    <p>Indicar el numero de estapas que ha ganado cada ciclista</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta17a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta17'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta 18</h3>
                    <p>Lista el dorsal del ciclista con el código de maillo y cuantas veces ese ciclista ha llevado ese maillot</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta18a'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta18'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
        </div>
        <div class="row">
             <!--
             Boton de consulta
             -->
            <div class="col-sm-6 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h3>Consulta adicional 18</h3>
                    <p>Nombre de los equipos que tengan mas de cuatro ciclistas cuya edad es entre 28 y 32</p>
                    <p>
                    <?= Html::a('Active record', ['site/consulta19'], ['class' => 'btn btn-primary']);?>
                    <?= Html::a('DAO', ['site/consulta19a'], ['class' => 'btn btn-default']);?>
                    </p>
                </div>
            </div>
            </div>
        </div>
    </div>
</div>

views/site/listview.php
<div>
<h1>Listado de los registros</h1>
</div>


<?php
use yii\widgets\ListView;
/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
echo ListView::widget([
    'dataProvider' => $resultados,
    'itemView' => '_listar', /*Recomendado _ el guion  que se muestra una vista dentro de otra */
]);



?>

views/site/resultado.php
<?php
use yii\grid\GridView;
?>

<div class="jumbotron">
        <h1><?=$titulo;?></h1>
        <p class="lead"><?=$enunciado;?></p>
        <p class="lead"><?=$sql;?></p>
</div>



<?= GridView::widget([
    'dataProvider' => $resultados,
    'columns' => $campos,
]);
?>